Open CASCADE Technology: DNaming_SphereDriver Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
DNaming_SphereDriver Class Reference

`#include <DNaming_SphereDriver.hxx>`

Inheritance diagram for DNaming_SphereDriver:
[legend]

## Public Member Functions
| DNaming_SphereDriver ()
| Constructor # validation More...
virtual void | Validate (TFunction_Logbook &theLog) const
| Validates labels of a function in <log>. In regeneration mode this method must be called (by the solver) even if the function is not executed, to build the valid label scope. # execution of function More...
virtual Standard_Boolean | MustExecute (const TFunction_Logbook &theLog) const
| Analyse in <log> if the loaded function must be executed (i.e.arguments are modified) or not. If the Function label itself is modified, the function must be executed. More...
virtual Standard_Integer | Execute (TFunction_Logbook &theLog) const
| Execute the function and push in <log> the impacted labels (see method SetImpacted). More...
Public Member Functions inherited from TFunction_Driver
void | Init (const TDF_Label &L)
| Initializes the label L for this function prior to its execution. More...
TDF_Label | Label () const
| Returns the label of the driver for this function. More...
virtual void | Arguments (TDF_LabelList &args) const
| The method fills-in the list by labels, where the arguments of the function are located. More...
virtual void | Results (TDF_LabelList &res) const
| The method fills-in the list by labels, where the results of the function are located. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Additional Inherited Members
Protected Member Functions inherited from TFunction_Driver
| TFunction_Driver ()
| # initialisation of the driver More...

## Constructor & Destructor Documentation

DNaming_SphereDriver::DNaming_SphereDriver | ( |  | ) |

Constructor

# validation

## Member Function Documentation

virtual Standard_Integer DNaming_SphereDriver::Execute | ( | TFunction_Logbook & | theLog | ) | const
| virtual

Execute the function and push in <log> the impacted labels (see method SetImpacted).

Implements TFunction_Driver.

virtual Standard_Boolean DNaming_SphereDriver::MustExecute | ( | const TFunction_Logbook & | theLog | ) | const
| virtual

Analyse in <log> if the loaded function must be executed (i.e.arguments are modified) or not. If the Function label itself is modified, the function must be executed.

Reimplemented from TFunction_Driver.

virtual void DNaming_SphereDriver::Validate | ( | TFunction_Logbook & | theLog | ) | const
| virtual

Validates labels of a function in <log>. In regeneration mode this method must be called (by the solver) even if the function is not executed, to build the valid label scope.

# execution of function

Reimplemented from TFunction_Driver.

The documentation for this class was generated from the following file:

- DNaming_SphereDriver.hxx